%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Doctrine

Name:           php-doctrine-Doctrine
Version:        1.1.4
Release:        1%{?dist}
Summary:        PHP Object Relational Mapper

Group:          Development/Libraries
License:        LGPLv2+ and MIT and BSD
URL:            http://www.doctrine-project.org/
Source0:        http://pear.doctrine-project.org/get/Doctrine-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-channel(pear.doctrine-project.com)
BuildRequires:  php-pear(PEAR)
Requires:       php >= 5.2.3
Requires:       php-pear(PEAR)
Requires:       php-channel(pear.doctrine-project.com)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(pear.doctrine-project.com/%{pear_name}) = %{version}

%description

Doctrine is an object relational mapper (ORM) for PHP 5.2.3+ that sits on top
of a powerful database abstraction layer (DBAL). One of its key features is the
option to write database queries in a proprietary object oriented SQL dialect
called Doctrine Query Language (DQL), inspired by Hibernates HQL. This provides
developers with a powerful alternative to SQL that maintains flexibility
without requiring unnecessary code duplication.

%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*


# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_name}-%{version}/docdir/%{pear_name}/*
%{pear_xmldir}/%{pear_name}.xml
%{pear_testdir}/%{pear_name}
# Expand this as needed to avoid owning dirs owned by our dependencies
%{pear_phpdir}/%{pear_name}

%changelog
* Sun Sep 27 2009 Christof Damian <christof@damian.net> 1.1.4-1
- upstream 1.1.4

* Thu Sep 24 2009 Christof Damian <christof@damian.net> 1.1.3-4
- fix provide

* Mon Aug 17 2009 Christof Damian <christof@damian.net> 1.1.3-3
- changed LGPL to LGPLv2+

* Mon Aug 17 2009 Christof Damian <christof@damian.net> 1.1.3-2
- added missing licenses

* Sat Aug 15 2009 Christof Damian <christof@damian.net> 1.1.3-1
- initial rpm
